[timestamp]
bep_timestamp=2022-04-13,09:00:34
second=2022-04-13,09:00:34
third=2022-04-13,09:00:34
################################################################################
# --- You can specify the value of keyword in section user_define_data.
# --- If not set, bep script will use the default value. e.g. BEP_HOSTNAME = buildhost,BEP_INODE = 1.
# --- You can unset BEP_HOSTNAME to get the real hostname.
################################################################################

[user_define_data]
BEP_TIME=2022-04-13,09:00:34
BEP_HOSTNAME=szxrtosci10000
BEP_UID=
BEP_GID=
BEP_INODE=1
BEP_DEV_ID=
BEP_R_DEV_ID=

[trace_define_data]
# init bepkit trace sqlite3 datebase when exec source ./bep_env.sh -s bep_env.conf.
# BEP_TRACE_ENABLE=yes
# BEP_TRACE_OUTPUT must be an absolute path.
#BEP_TRACE_OUTPUT=$PROJECT_PATH/output/bepkit_trace.db
#BEP_TRACE_TEMPLATE=$PROJECT_PATH/conf/bep_trace_template.conf
# when use redis, the following need to be configure
# trace hfile option: m(-M), mm(-MM), no
#BEP_TRACE_HDEPS=
#BEP_TRACE_MAP=cmd1:map1 cmd2:map2
#BEP_TRACE_WHITELIST=
# the buildlist like gcc g++ xg++ ld cc c++ cc1 cc1plus as collect2
#BEP_TRACE_BUILDLIST=
#BEP_TRACE_BUILD_TOOLNAME=
#BEP_TRACE_OUTPUT_TOOLNAME=


################################################################################
# --- bep_time_blacklist have priority over whitelist.
################################################################################
[bep_time_blacklist]
BEP_TIMELIST=lorax createrepo mkisofs gen_init_cpio ruby patch texi2dvi etex dvips gs ps2pdf now aarch64-linux-gnu-ar adduser ant ar arm-linux-gnueabi-ranlib bash bzip2 cc1 cc1plus chpasswd cpio gpg guile gzip hpmimage java lzma makepatch mkfs.cramfs mkfs.ext2 mkfs.jffs2 mkimage mksquashfs passwd perl powerpc-wrs-linux-gnu-ar powerpc-wrs-linux-gnu-ranlib python python2 python2.7 python3 python3.7 ranlib rpmbuild strip tar useradd xz zip usResourceCompiler4
BEP_CGTLIST=lorax createrepo mkisofs gen_init_cpio ruby patch texi2dvi etex dvips gs ps2pdf cc1 cc1plus now aarch64-linux-gnu-ar aarch64-linux-gnu-ld aarch64-linux-gnu-objcopy aarch64-linux-gnu-objdump bash date file gpg gzip hpmimage ld mkfs.cramfs mkfs.jffs2 mkimage postmap python python2 python2.7 python3 python3.7 rpmdb sh tar zip cmake
BEP_FILE_TIME_LIST=lorax createrepo mkisofs gen_init_cpio ruby patch texi2dvi etex dvips gs ps2pdf now aarch64-linux-gnu-ar aarch64-linux-gnu-gcc aarch64-linux-gnu-ld aarch64-linux-gnu-objcopy aarch64-linux-gnu-objdump ar arm-linux-gnueabi-g++ arm-linux-gnueabi-gcc as awk bash cat cc1 cc1plus chmod cp cpio file grep gzip hpmimage java ld lzma mkfs.cramfs mkfs.jffs2 mkimage perl postmap python python2 python2.7 python3 python3.7 rpmbuild rpmdb sh strip tar zip usResourceCompiler4 mvn

################################################################################
# --- the program of whitelist will cause compile block or break.
################################################################################
[whitelist]
#BEP_WHITELIST=be cvs git git-merge gpg-agent ls make ntpdate perl python2.7.real rsync sed svn test zip

################################################################################
# --- BEP_PRO_TIMES_LIST is equal to BEP_TIMESLIST in 1.1.x version
# --- BEP_DIRLIST is used to handle differences in file order, which equals to BEP_BLACKLIST in 1.1.X version
# --- BEP_DIRONCELIST is used to reinforce BEP_DIRLIST, it will only traverse once in this list
# --- BEP_RANDOMLIST is set for random source, including rand(), random(), /dev/random and /dev/urandom.
################################################################################
[blacklist]
BEP_GTDLIST=aarch64-linux-gnu-ar aarch64-linux-gnu-cpp aarch64-linux-gnu-ld aarch64-linux-gnu-objcopy aarch64-linux-gnu-objdump arm-linux-gnueabi-gcc bash cc1 createbin createrepo date doxygen dvips EMAP_Tool etex file g++ gen_init_cpio gpg gs gzip hpmimage iscsi-name label_bin lable_bin ld lorax lt-cd-it8 mips-wrs-linux-gcc mkfs.cramfs mkfs.ext2 mkfs.jffs2 mkimage mkisofs node openssl patch php postmap python python2 python2.7 python3 python3.7 rpmdb ruby sh shlibsign tar tclsh8.6 texi2dvi zip java mvn
BEP_PRO_TIMES_LIST=texi2dvi etex dvips gs python python2 python2.7 python3 python3.7
BEP_DIRLIST=ar cmake createrepo depmod dmake emake fdupes gmake gpg gtk-update-icon-cache lorax make miniperl miniruby mkisofs mksquashfs mksquashfs64 openssl perl php pmake python python2 python2.7 python3 python3.7 qmake rcc remake shlibsign tar texi2html zip
BEP_DIRONCELIST=ls find tar zip mksquashfs
BEP_NFTWLIST=jevents
BEP_INOLIST=gs postmap rpmdb cpio
BEP_UIDLIST=EMAP_Tool ar gzip tar zip armeb-euler-eabi-ar mkfs.ext2
BEP_DEVIDLIST=stat tar gzip rpmbuild
BEP_RANDOMLIST=chpasswd find g++ gcc guile iscsi-name java ls mksquashfs mksquashfs64 openssl passwd perl postmap rpmdb shlibsign tar zip
BEP_NAMELIST=lorax createrepo mkisofs ps2pdf cc1 cc1plus now uname uname.bin hostname rpmbuild emacs python configure python python2 python2.7 python3 python3.7 perl
BEP_DIRSIZELIST=

[hash_seed]
PERL_HASH_SEED=0
PYTHONHASHSEED=0

[timezone]
TZ=Asia/Shanghai
SOURCE_DATE_EPOCH=1649811634

################################################################################
# --- LC_ALL. This variable overrides the value of LANG and any other LC_ variable specifying a locale category.
# --- To support chinese env:
# --- set LC_ALL to "en_US-UTF-8" or unset LC_ALL and set LC_CTYPE to "en_US-UTF-8".
################################################################################
[locale]
LC_ALL=C
#LC_CTYPE="en_US-UTF-8"

[sysinfo]
#BEP_SYSINFOLIST=
#BEP_SYSINFO_UPTIME=
#BEP_SYSINFO_LOADS=
#BEP_SYSINFO_TOTALRAM=
#BEP_SYSINFO_FREERAM=
#BEP_SYSINFO_SHAREDRAM=
#BEP_SYSINFO_BUFFERRAM=
#BEP_SYSINFO_TOTALSWAP=
#BEP_SYSINFO_FREESWAP=
#BEP_SYSINFO_PROCS=
#BEP_SYSINFO_TOTALHIGH=
#BEP_SYSINFO_FREEHIGH=
#BEP_SYSINFO_MEN_UNIT=

[random_replay]
# record and replay the random value used in AI project, the default output name is bep_random_{process}
#BEP_RANDOM_RECORD_OUTPUT=$PROJECT_PATH/conf/bep_random
#BEP_REPLAYLIST=
